import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  server: {
    proxy: {
      // with options
      '/lifeto': {
        target: "https://beta.lifeto.co/",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/lifeto/, ''),
      },
    }
  }
})
